Bug 152749 - Mozilla < 1.4.3 multiple flaws
Mozilla < 1.4.3 multiple flaws
Status: CLOSED CURRENTRELEASE
Product: Fedora Legacy
Classification: Retired
Component: Package request (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Fedora Legacy Bugs
http://bugzilla.mozilla.org/show_bug....
1, LEGACY, NEEDSWORK, QA, rh73, rh90
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-07-05 17:00 EDT by Marc Deslauriers
Modified: 2008-05-01 11:38 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Lawrence 2005-03-30 18:26:06 EST
Affects Mozilla < 1.7

More info:
http://bugzilla.mozilla.org/show_bug.cgi?id=246448
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=127120

Not sure if this is actually a security hole, there seems to be some debate.



------- Additional Comments From marcdeslauriers@videotron.ca 2004-07-06 02:07:29 ----

Here is another:

Jesse Ruderman has reported a vulnerability in Mozilla and Firefox. It may be
possible to trick users into typing or clicking on a XPInstall / Security dialog
box, using various interactive events, without the user noticing the dialog box.

http://bugzilla.mozilla.org/show_bug.cgi?id=162020



------- Additional Comments From marcdeslauriers@videotron.ca 2004-07-07 12:18:57 ----

Red Hat's bugzilla entries:
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=127338
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=127120



------- Additional Comments From marcdeslauriers@videotron.ca 2004-07-13 14:45:23 ----

And yet another:

http://www.securityfocus.com/archive/1/368739/2004-07-10/2004-07-16/0




------- Additional Comments From marcdeslauriers@videotron.ca 2004-07-15 12:27:37 ----

Another bug: Mozilla Personal Security Manager Certificate Handling Denial Of
Service Vulnerability

http://www.securityfocus.com/bid/10703



------- Additional Comments From marcdeslauriers@videotron.ca 2004-08-04 13:27:11 ----

Red Hat released an updated mozilla resolving these issues and a whole bunch more:

https://rhn.redhat.com/errata/RHSA-2004-421.html



------- Additional Comments From michal@harddata.com 2004-08-07 04:34:41 ----

I just verfified that packages mentioned in comment #5 compile and produced
binaries work on RH7.3 installations.  Just modify in spec files a release
string, add an entry in a %changelog, and of you go (provided all build
requirements are satisfied and there is enough of a disk space).  I am
typing these words in a newly recreated galeon.



------- Additional Comments From dwb7@ccmr.cornell.edu 2004-08-12 10:49:45 ----

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

mozilla and galeon packages available for QA for RH7.3:

Download from:

http://cf.ccmr.cornell.edu/publicdownloads/fedoralegacy-testing/mozilla-galeon-r
h7.3

Sums:

sha1sum -b *
eafcb48319e2a9d302329417e55e62d3bba721cc *galeon-1.2.13-3.2.1.legacy.1.i386.rpm
cce15b1987610d906fc5304c7cfdf7de87280a7f *galeon-1.2.13-3.2.1.legacy.1.src.rpm
468eaa86e0748b88e68fc3633d18d0b69602ceef *mozilla-1.4.3-2.1.2.legacy.1.i386.rpm
07181a36bf54b84919dac20daeac73d7918bac84 *mozilla-1.4.3-2.1.2.legacy.1.src.rpm
4cb0396b69f60e3ef10fc6e9e3af8beeba76e26e
*mozilla-chat-1.4.3-2.1.2.legacy.1.i386.rpm
45035004034f57e38801056c7aa23617810a2243
*mozilla-devel-1.4.3-2.1.2.legacy.1.i386.rpm
04256df97cd153296ba2b1c062580648bf7d3f40
*mozilla-dom-inspector-1.4.3-2.1.2.legacy.1.i386.rpm
8d0d4d8f2eb148a8cd8571174811f2843b174132
*mozilla-js-debugger-1.4.3-2.1.2.legacy.1.i386.rpm
84f1927a49b5da04c4df381e150b6c4c5cb8fc9e
*mozilla-mail-1.4.3-2.1.2.legacy.1.i386.rpm
b3cb14d9405a30fa18d3f461e72d2f25be48870e
*mozilla-nspr-1.4.3-2.1.2.legacy.1.i386.rpm
9a9641ab2a431afb4c438f30e8a15a7c144527e0
*mozilla-nspr-devel-1.4.3-2.1.2.legacy.1.i386.rpm
92c25a2002b112715b4470dfb6ea9abcb6357763
*mozilla-nss-1.4.3-2.1.2.legacy.1.i386.rpm
b0555c9b1d9deca02306deb7295c88d1e606822b
*mozilla-nss-devel-1.4.3-2.1.2.legacy.1.i386.rpm

- -DWB

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.0.7 (GNU/Linux)

iD8DBQFBG9esSY7s7uPf/IURAiodAJ9agHAOKvyQhPVvx9n84CP3qdM9TQCeNyog
WL0tHF6lDb20CZCfFBn2t2k=
=IQZ3
-----END PGP SIGNATURE-----




------- Additional Comments From marcdeslauriers@videotron.ca 2004-08-31 16:52:33 ----

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Here are updated mozilla (and galeon) packages for rh9:

d93c9c3771db8158db2ff8b5a29ff24a01780e53  galeon-1.2.13-0.9.1.legacy.i386.rpm
3ebbf0c18142764ce7469adf209b3813bd5b483e  galeon-1.2.13-0.9.1.legacy.src.rpm
3a18ef438993eda4d4a93e488d043f7ef76118c4  mozilla-1.4.3-0.9.0.legacy.i386.rpm
412ba4235d57a940cb93a95a81e3eff5d51b7d47  mozilla-1.4.3-0.9.0.legacy.src.rpm
ac2be4feb25bffddf3a65a644257001eceb91fa4  mozilla-chat-1.4.3-0.9.0.legacy.i386.rpm
0921e68e1a489000d0c3786f04aedcf617c86fd7  mozilla-devel-1.4.3-0.9.0.legacy.i386.rpm
879c62795ce9076b5d4b7236dc047f532858bc85 
mozilla-dom-inspector-1.4.3-0.9.0.legacy.i386.rpm
3957e27fdcb70bae356536677a40ddd2c6f02daa 
mozilla-js-debugger-1.4.3-0.9.0.legacy.i386.rpm
4fce1798ddf2554daeea2d75546da7ae3da7fb1b  mozilla-mail-1.4.3-0.9.0.legacy.i386.rpm
05c6bb2510ec8b2fd2716779d180573897596a3e  mozilla-nspr-1.4.3-0.9.0.legacy.i386.rpm
f96c27d1aa13953efc7f0b9d88add58e387ff638 
mozilla-nspr-devel-1.4.3-0.9.0.legacy.i386.rpm
4ca792be22379bfb49f9dfa6e1ffd1e854b961aa  mozilla-nss-1.4.3-0.9.0.legacy.i386.rpm
f893cf91727e292d38e4e012b1af99053d2cd41b 
mozilla-nss-devel-1.4.3-0.9.0.legacy.i386.rpm

http://www.infostrategique.com/linuxrpms/legacy/9/

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.4 (GNU/Linux)

iD8DBQFBNTlNLMAs/0C4zNoRAnG9AJ4q/U21trpTQe+OgCSpBR6UiRcBNQCeIlI8
42tnngtLvgnckp/9RtHxTS4=
=uYlw
-----END PGP SIGNATURE-----




------- Additional Comments From ckelley@ibnads.com 2004-09-09 08:19:44 ----

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1
 
07181a36bf54b84919dac20daeac73d7918bac84  mozilla-1.4.3-2.1.2.legacy.1.src.rpm
 
SPEC file comes from redhat's 1.4.3-2.1.2
Dave changed the name and added gcc-c++ as the only changes
RPM built just fine on RH7.3
 
PUBLISH
 
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.4 (GNU/Linux)
 
iD8DBQFBQJ6zyQ+yTHz+jJkRArMCAJ9T+/WcxegIK8d5pnjmuMVazqRCowCgg6qA
R8yq++KWGwE+Z4al9hVro0k=
=Gvif
-----END PGP SIGNATURE-----




------- Additional Comments From ckelley@ibnads.com 2004-09-09 08:44:31 ----

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1
 
cce15b1987610d906fc5304c7cfdf7de87280a7f  galeon-1.2.13-3.2.1.legacy.1.src.rpm
 
Couldn't build this one:
 
checking for GNU gettext in libc... yes
checking for compiler -fshort-wchar option... yes
mv: cannot stat `po/POTFILES': No such file or directory
./configure: po/POTFILES.tmp: No such file or directory
configure: error: conditional "SCROLLKEEPER_UPDATE" was never defined.
Usually this means the macro was only invoked conditionally.
error: Bad exit status from /var/tmp/rpm-tmp.43645 (%build)
  
  
RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.43645 (%build)
 
 
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.4 (GNU/Linux)
 
iD8DBQFBQKR9yQ+yTHz+jJkRAvnKAKCDKljvXsTHC8aSBwgxFC6TmX2/ZgCghWU0
5x9cOCXbG6DpHHktCcM7BVQ=
=biQ6
-----END PGP SIGNATURE-----




------- Additional Comments From dwb7@ccmr.cornell.edu 2004-09-09 08:47:30 ----

sounds like a missing BuildReq



------- Additional Comments From marcdeslauriers@videotron.ca 2004-09-09 12:07:24 ----

Some dependencies are probably missing from the galeon spec file. Try and add
these in to see:

BuildRequires: scrollkeeper
BuildRequires: gcc-c++
BuildRequires: db1-devel





------- Additional Comments From ckelley@ibnads.com 2004-09-10 04:21:24 ----

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1
 
cce15b1987610d906fc5304c7cfdf7de87280a7f  galeon-1.2.13-3.2.1.legacy.1.src.rpm
 
After adding scrollkeeper, it compiles just fine.  The only change
between redhat's 1.2.13-1.2.1 and this is the 'legacy' keyword
version.  It looks good; galleon fires up and runs fine.
 
PUBLISH
 
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.4 (GNU/Linux)
 
iD8DBQFBQbhRyQ+yTHz+jJkRAvZKAKCMX7c2++2e7LvwwXUoQhJUbMlWUQCdEzol
cH02i3SA555eGx+dToMl+pw=
=YhJx
-----END PGP SIGNATURE-----




------- Additional Comments From jpdalbec@ysu.edu 2004-09-15 04:07:05 ----

I couldn't help noticing that the RH9 packages are "older" than the RH7.3
packages.  How should we fix this?

eafcb48319e2a9d302329417e55e62d3bba721cc *galeon-1.2.13-3.2.1.legacy.1.i386.rpm
cce15b1987610d906fc5304c7cfdf7de87280a7f *galeon-1.2.13-3.2.1.legacy.1.src.rpm
468eaa86e0748b88e68fc3633d18d0b69602ceef *mozilla-1.4.3-2.1.2.legacy.1.i386.rpm
07181a36bf54b84919dac20daeac73d7918bac84 *mozilla-1.4.3-2.1.2.legacy.1.src.rpm
d93c9c3771db8158db2ff8b5a29ff24a01780e53  galeon-1.2.13-0.9.1.legacy.i386.rpm
3ebbf0c18142764ce7469adf209b3813bd5b483e  galeon-1.2.13-0.9.1.legacy.src.rpm
3a18ef438993eda4d4a93e488d043f7ef76118c4  mozilla-1.4.3-0.9.0.legacy.i386.rpm
412ba4235d57a940cb93a95a81e3eff5d51b7d47  mozilla-1.4.3-0.9.0.legacy.src.rpm



------- Additional Comments From jpdalbec@ysu.edu 2004-09-15 08:42:28 ----

Missing %files: mozilla should own /usr/lib/mozilla



------- Additional Comments From marcdeslauriers@videotron.ca 2004-09-15 15:04:36 ----

How about this:

rh7.3:
galeon-1.2.13-0.7.0.legacy.src.rpm
mozilla-1.4.3-0.7.0.legacy.src.rpm

rh9:
galeon-1.2.13-0.9.1.legacy.src.rpm
mozilla-1.4.3-0.9.0.legacy.src.rpm

Anyone notice mozilla in FC1 and FC2 hasn't been upgraded to fix the security
issues?



------- Additional Comments From marcdeslauriers@videotron.ca 2004-09-15 15:06:32 ----

In response to comment 15:

Red Hat's packages don't own that directory. I wonder if there's a reason for it.



------- Additional Comments From jpdalbec@ysu.edu 2004-09-16 10:08:29 ----

In response to comment 17:

I don't know, but they do own /usr/lib/mozilla/plugins so it can't be a matter
of conflicts among different versions.

I let Bastille set umask 077 on my system so unowned directories are usually
accessible only by root and often cause build failures.

Additional missing %files: mozilla-devel(?) should own /usr/include/mozilla-1.4.3



------- Additional Comments From jpdalbec@ysu.edu 2004-09-20 09:23:47 ----

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

New RH 7.3 packages are available from
http://www.fedoralegacy.org/contrib/mozilla/

sha1sums:
46a8eb086d1e50cb847b41b0754fb2d3f3bc4f40  
galeon-1.2.13-0.7.3.2.1.legacy.2.i386.rpm
0262f03a6741d26d8a748e31a9973f852ca16524  
galeon-1.2.13-0.7.3.2.1.legacy.2.src.rpm
15b8ee18539705a7b3bf4c81f6a034166190bf63  
mozilla-1.4.3-0.7.2.1.2.legacy.2.i386.rpm
f7529ad2c1c3c66fd703027c9ff9070dc187ba30  
mozilla-1.4.3-0.7.2.1.2.legacy.2.src.rpm
015594f50664a2f08ac1565c1b86416387dc0704  
mozilla-chat-1.4.3-0.7.2.1.2.legacy.2.i386.rpm
d2d5ee598eb7da6acb01f20e1fb029aa4a19f529  
mozilla-devel-1.4.3-0.7.2.1.2.legacy.2.i386.rpm
311b649f6fd6dd073b4e9b50f633af245ea82517  
mozilla-dom-inspector-1.4.3-0.7.2.1.2.legacy.2.i386.rpm
b8fae902c27991e5b8404b08773b77b0a7fbaa93  
mozilla-js-debugger-1.4.3-0.7.2.1.2.legacy.2.i386.rpm
2f0d7c4f46cfb5743daf08162c613e6493978e74  
mozilla-mail-1.4.3-0.7.2.1.2.legacy.2.i386.rpm
8dd83db740ff1c899d12c6ed857e503fe9add9cd  
mozilla-nspr-1.4.3-0.7.2.1.2.legacy.2.i386.rpm
d3c07d48453a61730045a9194f84c6eed361e541  
mozilla-nspr-devel-1.4.3-0.7.2.1.2.legacy.2.i386.rpm
aec6c0f652808fe520ff0d3dadb50c98ea6831e7  
mozilla-nss-1.4.3-0.7.2.1.2.legacy.2.i386.rpm
16719695fb6c9718a9d440ddfaf24a66a12568d4  
mozilla-nss-devel-1.4.3-0.7.2.1.2.legacy.2.i386.rpm

I installed mozilla, -mail, -nspr, -nss on a RHL 7.3 VM.  Web browsing worked.
E-mail appeared to work (I haven't set up an account, but the account wizard
popped up and I canceled out of it).

Changelog(mozilla):
* Wed Sep 15 2004 John Dalbec <jpdalbec@ysu.edu> 37:1.4.3-0.7.2.1.2.legacy.2
- - Added %dir %{_libdir}/mozilla to %files
- - Added %{prefix}/include/mozilla-%{version} to %files devel

Changelog(galeon):
* Thu Sep 16 2004 John Dalbec <jpdalbec@ysu.edu> 1.2.13-0.7.3.2.1.legacy.2
- - Added BuildRequires: scrollkeeper
- - Added BuildRequires: db1-devel
- - Added LD_LIBRARY_PATH setting to ./configure command
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.1 (GNU/Linux)

iD8DBQFBTyeKJL4A+ldA7asRAkeeAKCv4hKWUweJgqrkLRNI4qIt2p5LVwCeKfJx
aw6wquPKbCj+umifYXkr3hY=
=67fU
-----END PGP SIGNATURE-----




------- Additional Comments From jpdalbec@ysu.edu 2004-09-22 03:20:12 ----

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

412ba4235d57a940cb93a95a81e3eff5d51b7d47  mozilla-1.4.3-0.9.0.legacy.src.rpm

Missing BuildRequires:
gtk+-devel
ORBit-devel
For i386 only:
compat-gcc
compat-gcc-c++
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.1 (GNU/Linux)

iD8DBQFBUXvuJL4A+ldA7asRAnfsAJ43X7XWxylVCIfjUelSexREO7d7cwCfZRlg
fspdt8Xj5svNU3o8C3N5gso=
=zVpG
-----END PGP SIGNATURE-----




------- Additional Comments From dom@earth.li 2004-09-22 04:06:43 ----

John,

The package you QAd was prepared for redhat 9 which only supports i386. I assume
you are trying to use it on FC1 judging by your mention of other archs?

Separate packages are needed for FC1 for this bug, by the looks of it.



------- Additional Comments From dom@earth.li 2004-09-22 04:27:56 ----

Futher to previous comment and status change: I suggest that we get the packages
out for rh73/rh9 ASAP and then look at FC1 - this is not exactly a new issue and
so the fact that FC1 isn't fixed maybe means it isn't so urgent.

There is in any case likely to be a new bug opened soon regarding the recent
issues addressed in 1.7.3



------- Additional Comments From rob.myers@gtri.gatech.edu 2004-09-23 07:41:50 ----

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1
 
i rebuilt the RHEL3 mozilla-1.4.3-3.0.2 rpm on FC1 in hopes that it
was the right thing to do and that they might be useful to others.
 
i am uncertain if i have chosen the correct version number.
 
i do not know if these are pointless due to forthcoming 1.7.3 issues.
 
they do seem to work without issue on FC1, however.
 
they are available from http://www.stl.gtri.gatech.edu/rmyers/fedoralegacy/
 
6c47507c3a5df526ea53b55aba8d0021a30bc0e4  mozilla-1.4.3-3.0.3.legacy.src.rpm
4153b9b0404c19d0c9dd29d8d0f1b79db910e45d  mozilla-1.4.3-3.0.3.legacy.i386.rpm
7847b69c3a7d5282babfc626eced1e2241d1dbd1  mozilla-chat-1.4.3-3.0.3.legacy.i386.rpm
6be550ca4f88d6d6672ce5312248a4431426d76e 
mozilla-debuginfo-1.4.3-3.0.3.legacy.i386.rpm
fd6155528e1f59f25d3a75b7a7ddd1c8d8d7b2a4  mozilla-devel-1.4.3-3.0.3.legacy.i386.rpm
fd59a6423fbed5f1fa7c71c79d736abca873518a 
mozilla-dom-inspector-1.4.3-3.0.3.legacy.i386.rpm
e2a69dfa584a6d6bba3ff825a4fd2313359cdd05 
mozilla-js-debugger-1.4.3-3.0.3.legacy.i386.rpm
3b882fe09b8ecbb3976911922abb96385b5f187c  mozilla-mail-1.4.3-3.0.3.legacy.i386.rpm
12553df822da6e9b2855984a077eb328587e2864  mozilla-nspr-1.4.3-3.0.3.legacy.i386.rpm
0f4387da26d51808c71b5654487bd22119b89e5d 
mozilla-nspr-devel-1.4.3-3.0.3.legacy.i386.rpm
08f92a532990f5b41b5f3b7f1fc3159594275360  mozilla-nss-1.4.3-3.0.3.legacy.i386.rpm
7046b75425b10c29343b4a3f0afae7e897ddec4f 
mozilla-nss-devel-1.4.3-3.0.3.legacy.i386.rpm
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.3 (GNU/Linux)
 
iD8DBQFBUwpBtU2XAt1OWnsRAkk8AJ9vwQLGXKZu2KSYGmy4aMLc4uTSJQCgtvb8
nYyezYYs70Lla//htuzoCp8=
=kjz0
-----END PGP SIGNATURE-----




------- Additional Comments From jpdalbec@ysu.edu 2004-09-23 09:18:53 ----

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1
 
New RHL 9 packages are available from
http://www.fedoralegacy.org/contrib/mozilla/
 
sha1sums:
adad2e30808e2a1d58b4f471ff98321055ee5382
galeon-1.2.13-0.9.1.legacy.2.i386.rpm
f80c7917c0013259b41cf210bd32bd3bde16a845
galeon-1.2.13-0.9.1.legacy.2.src.rpm
53bee8973d152c456c033e5794113609d642df2b
mozilla-1.4.3-0.9.0.legacy.2.i386.rpm
92e577a36d0972bc466ed5e4ce82a1744dc395a2
mozilla-1.4.3-0.9.0.legacy.2.src.rpm
7d757ec9bf322e701497b0696b1e23ef54222b83
mozilla-chat-1.4.3-0.9.0.legacy.2.i386.rpm
cfbb6b26bb8b9cf4e9fa7e0c2cf5b05f7e0a9826
mozilla-devel-1.4.3-0.9.0.legacy.2.i386.rpm
b80e30eedf4ce7e3dcedeec16641f90426e69897
mozilla-dom-inspector-1.4.3-0.9.0.legacy.2.i386.rpm
5bfe27002c25a711c057846ac0a255a7c9c86554
mozilla-js-debugger-1.4.3-0.9.0.legacy.2.i386.rpm
25c10b60a32e690793af4e229cf72737a8f48372
mozilla-mail-1.4.3-0.9.0.legacy.2.i386.rpm
626dc465246bad69ad2a09535b2dad4b39c810b3
mozilla-nspr-1.4.3-0.9.0.legacy.2.i386.rpm
5584fa96c753b8398080d5a9ee11a6b77dd71fe7
mozilla-nspr-devel-1.4.3-0.9.0.legacy.2.i386.rpm
19e6a88a6e982aff3c2b375db96b2911e11e67d0
mozilla-nss-1.4.3-0.9.0.legacy.2.i386.rpm
0ebae112589006feeee070111e8282ee424b5bc0
mozilla-nss-devel-1.4.3-0.9.0.legacy.2.i386.rpm
 
I installed mozilla, -mail, -nss, -nspr on my RHL 9 test box
and I am using them to post this comment.  Clicking on mail
brings up the account wizard.  Canceling the wizard displays
the lizard-and-mailbox image in the message pane.
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.1 (GNU/Linux)
 
iD8DBQFBUuT8JL4A+ldA7asRAp9iAJoDE/Pl86WnERKgKWZdtk4XCljQ6gCguZmb
RSEchlrVEb9SCal1D9X6RX4=
=Gx6/
-----END PGP SIGNATURE-----



------- Additional Comments From jpdalbec@ysu.edu 2004-09-23 09:23:34 ----

In reply to comment 21:

The RHL 9 mozilla.spec file has:

%ifarch i386
CC=gcc296 CXX=g++296 \
CFLAGS=-g CXXFLAGS=-g XCFLAGS=-g \
%endif

so I made the BuildRequires: compat-gcc compat-gcc-c++ subject to the same
condition.

P.S. If anyone tried downloading my packages and got a 403 Forbidden that should
be fixed now.



------- Additional Comments From barryn@pobox.com 2004-09-23 14:39:10 ----

Re: comment #22

I just opened up bug 2089 for the new issues. Red Hat hasn't released new
packages for RHEL yet so it's probably premature to work on that issue yet, but
nonetheless it's filed and it's filled in with some info so hopefully it'll save
some future effort...



------- Additional Comments From marcdeslauriers@videotron.ca 2004-09-23 18:35:21 ----

In response to comment 23:

Rob - You have to rebuild epiphany as well as it depends on the exact version of
mozilla in FC1. It should be ok to rebuild fc1's epiphany.



------- Additional Comments From rob.myers@gtri.gatech.edu 2004-09-24 03:03:23 ----

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1
 
Re: comment #27
 
mark-
 
how can i prevent missing another package with such an explicit dependency in
the future?  is there a command or simple process?
 
rob.
 
- - rebuilt against mozilla-1.4.3-3.0.3.legacy.
- - added patch to configure to allow build against mozilla 1.4.3
- - seems to work, posting this with it.
 
available from http://www.stl.gtri.gatech.edu/rmyers/fedoralegacy/
 
117a9febf1842228b3b93d15a959925132cd6da9  epiphany-1.0.4-2.1.legacy.src.rpm
022d73446d8de1a055bbe3fe5527272a350c4ee2  epiphany-1.0.4-2.1.legacy.i386.rpm
4b75ba06925d8b01b9708b8b80c9df461467826e 
epiphany-debuginfo-1.0.4-2.1.legacy.i386.rpm
 
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.3 (GNU/Linux)
 
iD8DBQFBVBpVtU2XAt1OWnsRAjBtAKDbktG5gd7pFmUHCjFm4xMsw4FA9QCfWVmS
ykZZ/VU41PrVeUWCWakV6A8=
=gCgV
-----END PGP SIGNATURE-----



------- Additional Comments From barryn@pobox.com 2004-09-24 09:43:07 ----

IMO the simplest way to avoid missing such a dependency is to try installing the
packages onto a test system (or chroot jail) that has an "Everything" install.



------- Additional Comments From marcdeslauriers@videotron.ca 2004-09-24 11:08:51 ----

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

I did QA on Rob's mozilla and epiphany packages for FC1:

117a9febf1842228b3b93d15a959925132cd6da9  epiphany-1.0.4-2.1.legacy.src.rpm
6c47507c3a5df526ea53b55aba8d0021a30bc0e4  mozilla-1.4.3-3.0.3.legacy.src.rpm

- - Source files identical to previous/original releases
- - epiphany patch looks good
- - spec files look good
- - Build, install and run OK

Looks like the new mozilla doesn't have PIE enabled...but FC2's mozilla doesn't
either. Shouldn't matter.

All we have to do now is find a sane numbering scheme for the rh73, rh9 and fc1
mozilla releases.

+PUBLISH


-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.4 (GNU/Linux)

iD8DBQFBVIz9LMAs/0C4zNoRAgDDAKCEkyDFcg8Y8CosGFxKjVcrPiHI1gCePjL6
rd63fgOCKz4pKDUyDJne6rM=
=hXi2
-----END PGP SIGNATURE-----




------- Additional Comments From marcdeslauriers@videotron.ca 2004-09-24 11:14:44 ----

How about these version numbers:

rh7.3:
mozilla-1.4.3-0.73.1.legacy
galeon-1.2.13-0.73.1.legacy

rh9:
mozilla-1.4.3-0.90.1.legacy
galeon-1.2.13-0.90.1.legacy

fc1:
mozilla-1.4.3-1.fc1.1.legacy
epiphany-1.0.4-2.1.legacy

This should work as upgrades to anything available right now, and is simple.

Any comments?



------- Additional Comments From rob.myers@gtri.gatech.edu 2004-09-24 11:22:03 ----

works for me.



------- Additional Comments From rob.myers@gtri.gatech.edu 2004-10-01 05:52:59 ----

this bug is superseded by bug #2089. https://bugzilla.fedora.us/show_bug.cgi?id=2089



------- Bug moved to this database by dkl@redhat.com 2005-03-30 18:26 -------

This bug previously known as bug 1834 at https://bugzilla.fedora.us/
https://bugzilla.fedora.us/show_bug.cgi?id=1834
Originally filed under the Fedora Legacy product and Package request component.

Unknown priority P2. Setting to default priority "normal".
Unknown platform PC. Setting to default platform "All".
Setting qa contact to the default for this product.
   This bug either had no qa contact or an invalid one.


Note You need to log in before you can comment on or make changes to this bug.